# Overview

## What is COINSTAC’s purpose?

COINSTAC runs decentralized analysis on neuroscience data to create cross-site models. The cross-site models should provide better accuracy (or "fit") when compared to single-site models. The system ensures creation of models occurs without sharing data between sites.

## Who is COINSTAC for?

Neuroscience researchers and PIs are the primary users of COINSTAC. Algorithm and computation authors compose a secondary user group: they create content (write code) for the system.

A natural extension of the concept means COINSTAC could be useful for anyone wanting to run analysis while maintaining individuals’ privacy. For example, a security company could run COINSTAC on a collection of laptops; the laptops could send anonymized system health metrics, and the overall health of a company’s laptops could be examined without compromising laptop identity.

## Why COINSTAC?

COINSTAC assists researchers in large analysis by making it possible to analyze data from various sites without actually sharing the data between sites. This means data can be useful despite it containing PHI or having restrictive participant agreements: the data remains at each site, and analysis occurs locally.

## Where is COINSTAC used?

COINSTAC is a application that users download onto their laptop or desktop computer. Raw research data also lives on this machine.

## When should COINSTAC be production-ready?

Unknown! The initial paper likely has an outline. In four years?

## How will researchers use COINSTAC?

Users self-organize into groups interested in a specific topic (age and schizophrenia diagnosis, for example). These groups are called "consortia."

Users enter their data into COINSTAC for use in computations. A system for cataloging data and metadata should exist to allow users to map their data into an expected shape. Ideally, users enter a study/collection of participants once and the system is flexible enough to use this data for multiple computation runs.
